org.apache.maven.cli

## Class BatchModeDownloadMonitor

- java.lang.Object
- - AbstractLogEnabled
  - - org.apache.maven.cli.AbstractConsoleDownloadMonitor
    - - org.apache.maven.cli.BatchModeDownloadMonitor

    public class BatchModeDownloadMonitor
    extends AbstractConsoleDownloadMonitor

Console download progress meter.

Version:
  $Id: BatchModeDownloadMonitor.java 746136 2009-02-20 04:53:53Z brett $
Author:
  Brett Porter

### Constructor Summary

Constructors
Constructor and Description
`BatchModeDownloadMonitor()`
`BatchModeDownloadMonitor(Logger logger)`

### Method Summary

Methods
`void` `transferInitiated(TransferEvent transferEvent)`

### Methods inherited from class org.apache.maven.cli.AbstractConsoleDownloadMonitor

`createCompletionLine, debug, transferCompleted, transferError, transferProgress, transferStarted`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BatchModeDownloadMonitor

    public BatchModeDownloadMonitor(Logger logger)

#### BatchModeDownloadMonitor

    public BatchModeDownloadMonitor()

### Method Detail

#### transferInitiated

    public void transferInitiated(TransferEvent transferEvent)

Overrides:
  `transferInitiated` in class `AbstractConsoleDownloadMonitor`